/* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/** BusVoodoo runtime interrupt table
 *  @file
 *  @author King Kévin <kingkevin@cuvoodoo.info>
 *  @date 2018
 */
#pragma once
#include "libopencm3/cm3/nvic.h"
#include "libopencm3/cm3/vector.h"

/** table of interrupts which can set to user functions
 *  @note only interrupt using the default handler can be intercepted
 */
extern vector_table_entry_t interrupt_table[NVIC_IRQ_COUNT];
